/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.rave.rest.interceptor;

import org.apache.cxf.interceptor.Fault;
import org.apache.cxf.message.Message;
import org.apache.cxf.phase.AbstractPhaseInterceptor;
import org.apache.cxf.phase.Phase;
import org.apache.rave.rest.model.JsonResponseWrapper;

/**
 * Created with IntelliJ IDEA.
 * User: erinnp
 * Date: 7/22/13
 * Time: 4:56 PM
 * To change this template use File | Settings | File Templates.
 */
public class JsonResponseWrapperInterceptor extends AbstractPhaseInterceptor<Message> {

    public JsonResponseWrapperInterceptor() {
        super(Phase.WRITE);
    }

    @Override
    public void handleMessage(Message message) throws Fault {
        Object o = message.getContent(Object.class);

        JsonResponseWrapper wrapper = new JsonResponseWrapper(o);

        message.setContent(JsonResponseWrapper.class, wrapper);
    }
}
